Subject: Books on Passionflowers?

From: [email-masked] (Jason Shumate)
Date: Mon, 13 Mar 1995 20:18:49 GMT

Does anyone know of any good books about passionflowers (Passiflora species)? 
I am not looking for "how to grow guides" as I have several good books on
growing tropical fruits that contain such information, like the Ortho book 
_All About Growing Citrus And Subtropical Fruit_.  I am really more interested
in something that specifically talks about passionflowers, perhaps with 
descriptions and pictures of the many species.  If you know of something
that is available in the United States, that would be most helpful, but I
would be interested in anything on the subject.  Thanks for any help you 
can give.
-- 
CUL8R,                             |  Lord Arthur: "Are all men from the future
Jason Shumate                      |     loud-mouthed braggarts?"
System Administrator type guy      |  Ash: "Nope.  Just me, baby.  Just me."
[email-masked]           |  - Army Of Darkness